IOSS 2.0

Classes | Enumerations | Functions | Variables
Ioss::trmclr Namespace Reference

## Classes
struct | Attribute
struct | Background
struct | Foreground
struct | Style

## Enumerations
enum | StyleTypes { FOREGROUND, ATTRIBUTE, BACKGROUND, N_STYLE_TYPES }

## Functions
static Style | black (Ioss::trmclr::Foreground::BLACK)
static Style | red (Ioss::trmclr::Foreground::RED)
static Style | green (Ioss::trmclr::Foreground::GREEN)
static Style | yellow (Ioss::trmclr::Foreground::YELLOW)
static Style | blue (Ioss::trmclr::Foreground::BLUE)
static Style | magenta (Ioss::trmclr::Foreground::MAGENTA)
static Style | cyan (Ioss::trmclr::Foreground::CYAN)
static Style | normal (Ioss::trmclr::Attribute::DEFAULT)
std::ostream & | operator<< (std::ostream &os, const Style &style)

## Variables
static const uint32_t | STYLE_SHIFT = std::numeric_limits<uint32_t>::digits / N_STYLE_TYPES

## Enumeration Type Documentation

## ◆ StyleTypes

enum Ioss::trmclr::StyleTypes

Enumerator
FOREGROUND |
ATTRIBUTE |
BACKGROUND |
N_STYLE_TYPES |

## Function Documentation

## ◆ black()

static Style Ioss::trmclr::black | ( | Ioss::trmclr::Foreground::BLACK |  | ) |
| static

## ◆ blue()

static Style Ioss::trmclr::blue | ( | Ioss::trmclr::Foreground::BLUE |  | ) |
| static

## ◆ cyan()

static Style Ioss::trmclr::cyan | ( | Ioss::trmclr::Foreground::CYAN |  | ) |
| static

## ◆ green()

static Style Ioss::trmclr::green | ( | Ioss::trmclr::Foreground::GREEN |  | ) |
| static

## ◆ magenta()

static Style Ioss::trmclr::magenta | ( | Ioss::trmclr::Foreground::MAGENTA |  | ) |
| static

## ◆ normal()

static Style Ioss::trmclr::normal | ( | Ioss::trmclr::Attribute::DEFAULT |  | ) |
| static

## ◆ operator<<()

std::ostream& Ioss::trmclr::operator<< | ( | std::ostream & | os,
|  | const Style & | style
| ) |  |
| inline

## ◆ red()

static Style Ioss::trmclr::red | ( | Ioss::trmclr::Foreground::RED |  | ) |
| static

## ◆ yellow()

static Style Ioss::trmclr::yellow | ( | Ioss::trmclr::Foreground::YELLOW |  | ) |
| static

## Variable Documentation

## ◆ STYLE_SHIFT

const uint32_t Ioss::trmclr::STYLE_SHIFT = std::numeric_limits<uint32_t>::digits / N_STYLE_TYPES
| static